xPierROCR | R Documentation

## Function to assess the dTarget performance via ROC and Precision-Recall (PR) analysis

### Description

`xPierROCR` is supposed to assess the dTarget performance via Receiver Operating Characteristic (ROC) and Precision-Recall (PR) analysis. It requires three inputs: 1) Gold Standard Positive (GSP) targets; 2) Gold Standard Negative (GSN) targets; 3) dTarget containing predicted targets and predictive scores.

### Usage

    xPierROCR(dTarget, GSP, GSN, verbose = TRUE)

### Arguments

`dTarget` | a data frame containing dTargets along with predictive scores. It has two columns: 1st column for target, 2nd column for predictive scores (the higher the better). Alternatively, it can be an object of class "pNode" (or "sTarget" or "dTarget") from which a data frame is extracted
`GSP` | a vector containing Gold Standard Positives (GSP)
`GSN` | a vector containing Gold Standard Negatives (GSN)
`verbose` | logical to indicate whether the messages will be displayed in the screen. By default, it sets to TRUE for display

### Value

an object of the class "dTarget", a list with following components:

- `priority`: a data frame of nGene X 7 containing gene priority (aggregated) information, where nGene is the number of genes, and the 7 columns are "GS" (either 'GSP', or 'GSN', or 'NEW'), "name" (gene names), "rank" (ranks of the priority scores), "pvalue" (the aggregated p-value, converted from empirical cumulative distribution of the probability of being GSP), "fdr" (fdr adjusted from the aggregated p-value), "priority" (-log10(pvalue) but rescaled into the 5-star ratings), "description" (gene description) and seed info including "Overall" for the number of different types of seeds, followed by details on individual type of seeds (that is, "OMIM", "Phenotype", "Function", "nearbyGenes", "eQTL", "HiC")

- `predictor`: a data frame containing predictor matrix, with each column/predictor for either priority score, or priorty rank or priority p-value

- `metag`: an "igraph" object

- `pPerf`: a "pPerf" object, with components "PRS", "AUROC", "Fmax", "ROC_perf", "PR_perf", "Pred_obj"

### Note

AUC: the area under ROC F-measure: the maximum of a harmonic mean between precision and recall along PR curve

### Examples

    ## Not run:
    # Load the library
    library(Pi)

    ## End(Not run)
    RData.location <- "http://galahad.well.ox.ac.uk/bigdata"
    ## Not run:
    dTarget <- xPierROCR(dTarget, GSP, GSN)
    gp <- xPredictCompare(dTarget$pPerf)

    ## End(Not run)